public class DisplayOverloading
{
    public static void display(char c)
    {
         System.out.println(c);
    }
    
    public static void display(int c)
    {
       System.out.println(c );
    }
    
    public static void display(char c, int num)  
    {
         System.out.println(c + " "+num);
    }
    
   public static void display(int num, char c)
   {
       System.out.println("I am the fourth definition of method display" );
       System.out.println("These were passed to me " + num + " and " + c );
   }
   
   public static void main(String[] args){
   	  display(2, 'A');
   	  display('B');
   	  display(2);
   	  display('G', 4);
   }
}
